<?php

$block_name = _("TitleSearch");

/**
 * This class extends Horde_Block:: to provide a search of Wiki page
 * titles.
 *
 * $Horde: wicked/lib/Block/TitleSearch.php,v 1.4 2005/01/03 14:35:46 jan Exp $
 *
 * Copyright 2004-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @version $Revision: 1.4 $
 * @package Horde_Block
 */
class Horde_Block_Wicked_TitleSearch extends Horde_Block {

    var $_app = 'wicked';

    function _title()
    {
        return '<form method="get">' . _("TitleSearch") . ' :: ' . Util::formInput() . '<input style="font-size:10px;" type="text" size="10" name="params" /><input type="submit" class="button" value="' . _("Go") . '" /></form>';
    }

    function _content()
    {
        require_once dirname(__FILE__) . '/../base.php';

        $page = &Page::getPage('TitleSearch');
        $results = $page->render(WICKED_MODE_CONTENT, Util::getFormData('params'));

        if (is_a($results, 'PEAR_Error')) {
            return $results;
        }

        require_once 'Horde/Template.php';
        $template = &new Horde_Template();
        $pages = array();
        foreach ($results as $page) {
            if (!empty($page['page_history'])){
                $page = &new StdHistoryPage($page);
            } else {
                $page = &new StandardPage($page);
            }

            $pages[] = array('author' => $page->author(),
                             'created' => $page->formatVersionCreated(),
                             'name' => $page->pageName(),
                             'url' => $page->pageUrl(),
                             'version' => $page->version());
        }
        $template->set('pages', $pages);

        return '<table width="100%">' . $template->fetch(WICKED_TEMPLATES . '/pagelist/pagelist.html') . '</table>';
    }

}
