<?php

require_once WICKED_BASE . '/lib/Page/StandardPage.php';

/**
 * Wicked AddPage class.
 *
 * $Horde: wicked/lib/Page/AddPage.php,v 1.3 2004/07/31 02:33:53 eraserhd Exp $
 *
 * @author  Tyler Colbert <tyler-hordeml@colberts.us>
 * @version $Revision: 1.3 $
 * @package Wicked
 */
class AddPage extends Page {

    /**
     * Display modes supported by this page.
     * @var array $supportedModes
     */
    var $supportedModes = array(
        WICKED_MODE_DISPLAY => true);

    /**
     * The page to confirm creation of.
     * @var string $_newpage
     */
    var $_newpage;

    function AddPage($newpage)
    {
        $this->_newpage = $newpage;
    }

    /**
     * Render this page in Display mode.
     *
     * @return mixed  Returns true or PEAR_Error.
     */
    function display()
    {
        global $wicked;
        $templates = $wicked->getLikePages('Template');
        if (is_a($templates, 'PEAR_Error')) {
            $notification->push(sprintf(_("Error retrieving like pages: %s"),
                                        $templates->toString()), 'horde.error');
            return $templates;
        }
        require WICKED_TEMPLATES . '/edit/create.inc';
        return true;
    }

    function pageName()
    {
        return sprintf(_("AddPage: %s"), $this->referrer());
    }

    function referrer()
    {
        return $this->_newpage;
    }

    function pageUrl($linkpage = 'display.php')
    {
        $url = Horde::applicationUrl($linkpage);
        $url = Util::addParameter($url, array('page' => $this->referrer(),
                                              'autocreate' => 1));
    }

}
